from discord import option
from discord.ext import commands, tasks
import discord


class PalWorld(commands.Cog):
    def __init__(self, bot):
        self.bot: commands.Bot = bot

    palworld = discord.SlashCommandGroup("palworld", "Palworld related commands")

    @palworld.command(
        guild_ids=None,
        name="elements",
        description="Posts an infographic about which Pal elements are weak/strong against which",
    )
    async def post_medpen_guide(self, ctx: commands.Context):
        await ctx.respond(
            "https://img.game8.co/3822502/5ae8382d16bd390dd19f343e87680d51.png/show"
        )


def setup(bot):
    bot.add_cog(PalWorld(bot))
